%define module	unicodecsv

Name:		python-%{module}
Version:	0.14.1
Release:	%mkrel 10
Summary:	Drop-in replacement for Python 2.7's csv module which supports unicode strings
License:	BSD
Group:		Development/Python
URL:		https://github.com/jdunck/python-unicodecsv
Source0:	https://pypi.python.org/packages/source/u/%{module}/%{module}-%{version}.tar.gz
Patch0001:      0001-Remove-unittest2-dependency-for-Python-3.x.patch
BuildArch:	noarch

%description
The unicodecsv is a drop-in replacement for Python 2.7's
csv module which supports unicode strings without a hassle.

It is NOT a drop-in replacement for Python 3's csv module,
see https://github.com/jdunck/python-unicodecsv/issues/65

%package -n	python3-%{module}
Summary:	Drop-in replacement for Python 2.7's csv module which supports unicode strings
Group:		Development/Python
BuildArch:	noarch
%{?python_provide:%python_provide python3-%{module}}

BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)

%description -n	python3-%{module}
The unicodecsv is a drop-in replacement for Python 2.7's
csv module which supports unicode strings without a hassle.

It is NOT a drop-in replacement for Python 3's csv module,
see https://github.com/jdunck/python-unicodecsv/issues/65


%prep
%autosetup -p1 -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%py3_build

%install
%py3_install

%check
%define enable_tests_python3 1
%if %{enable_tests_python3}
python3 -m unittest
%endif

%files -n python3-%{module}
%doc README.rst
%{python3_sitelib}/%{module}
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.14.1-10.mga9
+ Revision: 1823660
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 tv <tv> 0.14.1-9.mga9
+ Revision: 1784028
- Rebuild for python-3.10
- Remove unittest2 dependency from python3, it is not needed

* Sun Mar 21 2021 daviddavid <daviddavid> 0.14.1-8.mga9
+ Revision: 1706983
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.14.1-7.mga8
+ Revision: 1532136
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 0.14.1-6.mga8
+ Revision: 1441662
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 tv <tv> 0.14.1-5.mga7
+ Revision: 1352479
- rebuild with python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 0.14.1-4.mga7
+ Revision: 1290446
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.14.1-3.mga7
+ Revision: 1135674
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 0.14.1-2.mga6
+ Revision: 970865
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 daviddavid <daviddavid> 0.14.1-1.mga6
+ Revision: 888737
- imported package python-unicodecsv (based on Fedora)

